Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageReplyToMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageReplyTo
it.tdlight.jni.TdApi.MessageReplyToMessage

Enclosing class:
  TdApi

public static final class TdApi.MessageReplyToMessage extends TdApi.MessageReplyTo
Describes a message replied by a given message.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
The identifier of the chat to which the message belongs; may be 0 if the replied message is in unknown chat.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.MessageContent`
`content`
Media content of the message if the message was from another chat or topic; may be null for messages from the same chat and messages without media.
`long`
`messageId`
The identifier of the message; may be 0 if the replied message is in unknown chat.
`TdApi.MessageOrigin`
`origin`
Information about origin of the message if the message was from another chat or topic; may be null for messages from the same chat.
`int`
`originSendDate`
Point in time (Unix timestamp) when the message was sent if the message was from another chat or topic; 0 for messages from the same chat.
`TdApi.TextQuote`
`quote`
Chosen quote from the replied message; may be null if none.

## Constructor Summary

Constructors
Constructor
Description
`MessageReplyToMessage()`
Describes a message replied by a given message.
`MessageReplyToMessage(long chatId, long messageId, TdApi.TextQuote quote, TdApi.MessageOrigin origin, int originSendDate, TdApi.MessageContent content)`
Describes a message replied by a given message.
`MessageReplyToMessage(DataInput input)`
Describes a message replied by a given message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
The identifier of the chat to which the message belongs; may be 0 if the replied message is in unknown chat.

### messageId

public long messageId
The identifier of the message; may be 0 if the replied message is in unknown chat.

### quote

public TdApi.TextQuote quote
Chosen quote from the replied message; may be null if none.

### origin

public TdApi.MessageOrigin origin
Information about origin of the message if the message was from another chat or topic; may be null for messages from the same chat.

### originSendDate

public int originSendDate
Point in time (Unix timestamp) when the message was sent if the message was from another chat or topic; 0 for messages from the same chat.

### content

public TdApi.MessageContent content
Media content of the message if the message was from another chat or topic; may be null for messages from the same chat and messages without media. Can be only one of the following types: messageAnimation, messageAudio, messageContact, messageDice, messageDocument, messageGame, messageInvoice, messageLocation, messagePhoto, messagePoll, messagePremiumGiveaway, messagePremiumGiveawayWinners, messageSticker, messageStory, messageText (for link preview), messageVenue, messageVideo, messageVideoNote, or messageVoiceNote.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageReplyToMessage

public MessageReplyToMessage()
Describes a message replied by a given message.

### MessageReplyToMessage

public MessageReplyToMessage(long chatId, long messageId, TdApi.TextQuote quote, TdApi.MessageOrigin origin, int originSendDate, TdApi.MessageContent content)
Describes a message replied by a given message.

Parameters:
  `chatId` - The identifier of the chat to which the message belongs; may be 0 if the replied message is in unknown chat.
  `messageId` - The identifier of the message; may be 0 if the replied message is in unknown chat.
  `quote` - Chosen quote from the replied message; may be null if none.
  `origin` - Information about origin of the message if the message was from another chat or topic; may be null for messages from the same chat.
  `originSendDate` - Point in time (Unix timestamp) when the message was sent if the message was from another chat or topic; 0 for messages from the same chat.
  `content` - Media content of the message if the message was from another chat or topic; may be null for messages from the same chat and messages without media. Can be only one of the following types: messageAnimation, messageAudio, messageContact, messageDice, messageDocument, messageGame, messageInvoice, messageLocation, messagePhoto, messagePoll, messagePremiumGiveaway, messagePremiumGiveawayWinners, messageSticker, messageStory, messageText (for link preview), messageVenue, messageVideo, messageVideoNote, or messageVoiceNote.

### MessageReplyToMessage

public MessageReplyToMessage(DataInput input) throws IOException
Describes a message replied by a given message.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`